Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor
Class ExtractionContext

    java.lang.Object
      org.apache.any23.extractor.ExtractionContext

    public class ExtractionContext

extends Object

This class provides the context for the processing of a single `Extractor`.

Field Summary
`static String` | `ROOT_EXTRACTION_RESULT_ID`

Constructor Summary
`ExtractionContext(String extractorName, org.openrdf.model.URI documentURI)`
`ExtractionContext(String extractorName, org.openrdf.model.URI documentURI, String defaultLanguage)`
`ExtractionContext(String extractorName, org.openrdf.model.URI documentURI, String defaultLanguage, String localID)`

Method Summary
`ExtractionContext` | `copy(String localID)`
`boolean` | `equals(Object other)`
`String` | `getDefaultLanguage()`
`org.openrdf.model.URI` | `getDocumentURI()`
`String` | `getExtractorName()`
`String` | `getUniqueID()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ROOT_EXTRACTION_RESULT_ID

    public static final String ROOT_EXTRACTION_RESULT_ID

See Also:
  Constant Field Values

Constructor Detail

### ExtractionContext

    public ExtractionContext(String extractorName,
                             org.openrdf.model.URI documentURI,
                             String defaultLanguage,
                             String localID)

### ExtractionContext

    public ExtractionContext(String extractorName,
                             org.openrdf.model.URI documentURI,
                             String defaultLanguage)

### ExtractionContext

    public ExtractionContext(String extractorName,
                             org.openrdf.model.URI documentURI)

Method Detail

### copy

    public ExtractionContext copy(String localID)

### getExtractorName

    public String getExtractorName()

### getDocumentURI

    public org.openrdf.model.URI getDocumentURI()

### getDefaultLanguage

    public String getDefaultLanguage()

### getUniqueID

    public String getUniqueID()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.